Delete BYOK configuration
Remove a Bring Your Own Key configuration. This will delete the secret from Vault and remove the reference from the database.
Authorization
BearerAuth API key authentication. Get your key from the dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/byok" \ -H "Content-Type: application/json" \ -d '{ "provider": "deepgram" }'{
"success": true,
"byok_keys": {}
}{
"error": "Invalid API key",
"message": "string"
}{
"error": "Invalid API key",
"message": "string"
}{
"error": "Invalid API key",
"message": "string"
}{
"error": "Invalid API key",
"message": "string"
}Add BYOK configuration POST
Add or update a Bring Your Own Key configuration. The API key is securely stored in Supabase Vault and only the vault secret ID is stored in the database.
Save BYOK provider configuration POST
Store the non-secret configuration for a provider you have brought your own key for, such as the selected model or region. The API key itself is not set here — use POST /byok for that, which stores it in Vault.